﻿using System.Collections.Generic;
using HeuristicLab.Data;
using HeuristicLab.Problems.Instances;

namespace HeuristicLab.Problems.DynamicalSystemsModelling.Instances {
  public class DataDescriptor : IDataDescriptor {
    public string Name { get; internal set; }
    public string Description { get; internal set; }
    public string[] TargetVariables { get; internal set; }
    public string[] InputVariables { get; internal set; }
    public IEnumerable<IntRange> TrainingEpisodes { get; internal set; }
    public IEnumerable<IntRange> TestEpisodes { get; internal set; }
    public string FileName { get; internal set; }
  }
}
